Package org.apache.groovy.groovysh.jline

# Class SystemRegistryImpl.CommandData

java.lang.Object
org.apache.groovy.groovysh.jline.SystemRegistryImpl.CommandData

Enclosing class:
  SystemRegistryImpl

protected static class SystemRegistryImpl.CommandData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommandData(org.apache.groovy.groovysh.jline.SystemRegistryImpl.ArgsParser parser, boolean statement, String rawLine, String variable, File file, boolean append, String pipe)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `append()`
  `String[]`
  `args()`
  `String`
  `command()`
  `File`
  `file()`
  `String`
  `pipe()`
  `String`
  `rawLine()`
  `void`
  `setPipe(String pipe)`
  `String`
  `toString()`
  `String`
  `variable()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CommandData

    public CommandData(org.apache.groovy.groovysh.jline.SystemRegistryImpl.ArgsParser parser, boolean statement, String rawLine, String variable, File file, boolean append, String pipe)

- ## Method Details

  - ### setPipe

    public void setPipe(String pipe)

  - ### file

    public File file()

  - ### append

    public boolean append()

  - ### variable

    public String variable()

  - ### command

    public String command()

  - ### args

    public String[] args()

  - ### rawLine

    public String rawLine()

  - ### pipe

    public String pipe()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`